[Swift-commit] r7237 - in SwiftApps/Swift-MapRed/mapred_combiner_V4: . examples examples/blast

ketan at ci.uchicago.edu ketan at ci.uchicago.edu
Mon Oct 28 13:57:07 CDT 2013


Author: ketan
Date: 2013-10-28 13:57:07 -0500 (Mon, 28 Oct 2013)
New Revision: 7237

Added:
   SwiftApps/Swift-MapRed/mapred_combiner_V4/examples/blast/
   SwiftApps/Swift-MapRed/mapred_combiner_V4/examples/blast/formatdbmapper.sh
   SwiftApps/Swift-MapRed/mapred_combiner_V4/examples/blast/map_blast.sh
   SwiftApps/Swift-MapRed/mapred_combiner_V4/examples/blast/outputmapper.sh
   SwiftApps/Swift-MapRed/mapred_combiner_V4/examples/blast/splitmapper.sh
   SwiftApps/Swift-MapRed/mapred_combiner_V4/sites.midway.xml
Modified:
   SwiftApps/Swift-MapRed/mapred_combiner_V4/tc.data
Log:
 

Added: SwiftApps/Swift-MapRed/mapred_combiner_V4/examples/blast/formatdbmapper.sh
===================================================================
--- SwiftApps/Swift-MapRed/mapred_combiner_V4/examples/blast/formatdbmapper.sh	                        (rev 0)
+++ SwiftApps/Swift-MapRed/mapred_combiner_V4/examples/blast/formatdbmapper.sh	2013-10-28 18:57:07 UTC (rev 7237)
@@ -0,0 +1,18 @@
+#!/bin/bash
+while [ $# -gt 0 ]; do
+    case $1 in
+	-n)          n=$2;;
+	*) echo "$0: bad mapper args" 1>&2
+	    exit 1;;
+    esac
+    shift 2
+done
+
+for i in $(seq 1 $n)
+do
+    printf "[%d].phr frag%03d.phr\n" $i $i;
+    printf "[%d].pin frag%03d.pin\n" $i $i;
+    printf "[%d].psq frag%03d.psq\n" $i $i;
+done
+
+	


Property changes on: SwiftApps/Swift-MapRed/mapred_combiner_V4/examples/blast/formatdbmapper.sh
___________________________________________________________________
Added: svn:executable
   + *

Added: SwiftApps/Swift-MapRed/mapred_combiner_V4/examples/blast/map_blast.sh
===================================================================
--- SwiftApps/Swift-MapRed/mapred_combiner_V4/examples/blast/map_blast.sh	                        (rev 0)
+++ SwiftApps/Swift-MapRed/mapred_combiner_V4/examples/blast/map_blast.sh	2013-10-28 18:57:07 UTC (rev 7237)
@@ -0,0 +1,14 @@
+#!/bin/bash
+
+executable="$HOME/blast-2.2.26/bin/blastall";
+pname=$1
+queryfile=$2
+fastafile=$3
+tmpout=$4
+e=$5
+f=$6
+
+$executable -p $pname -i $queryfile -d $fastafile -o $tmpout -e $e -T -F $f >/dev/null
+cat $tmpout
+rm -rf $tmpout >/dev/null
+


Property changes on: SwiftApps/Swift-MapRed/mapred_combiner_V4/examples/blast/map_blast.sh
___________________________________________________________________
Added: svn:executable
   + *

Added: SwiftApps/Swift-MapRed/mapred_combiner_V4/examples/blast/outputmapper.sh
===================================================================
--- SwiftApps/Swift-MapRed/mapred_combiner_V4/examples/blast/outputmapper.sh	                        (rev 0)
+++ SwiftApps/Swift-MapRed/mapred_combiner_V4/examples/blast/outputmapper.sh	2013-10-28 18:57:07 UTC (rev 7237)
@@ -0,0 +1,16 @@
+#!/bin/bash
+while [ $# -gt 0 ]; do
+    case $1 in
+	-n)          n=$2;;
+	*) echo "$0: bad mapper args" 1>&2
+	    exit 1;;
+    esac
+    shift 2
+done
+
+for i in $(seq 1 $n)
+do
+    printf "[%d] frag%03d.html\n" $i $i;
+done
+
+	


Property changes on: SwiftApps/Swift-MapRed/mapred_combiner_V4/examples/blast/outputmapper.sh
___________________________________________________________________
Added: svn:executable
   + *

Added: SwiftApps/Swift-MapRed/mapred_combiner_V4/examples/blast/splitmapper.sh
===================================================================
--- SwiftApps/Swift-MapRed/mapred_combiner_V4/examples/blast/splitmapper.sh	                        (rev 0)
+++ SwiftApps/Swift-MapRed/mapred_combiner_V4/examples/blast/splitmapper.sh	2013-10-28 18:57:07 UTC (rev 7237)
@@ -0,0 +1,14 @@
+#!/bin/bash
+while [ $# -gt 0 ]; do
+    case $1 in
+	-n)          n=$2;;
+	*) echo "$0: bad mapper args" 1>&2
+	    exit 1;;
+    esac
+    shift 2
+done
+for i in $(seq 1 $n)
+do
+    printf "[%d] frag%03d\n" $i $i;
+done
+


Property changes on: SwiftApps/Swift-MapRed/mapred_combiner_V4/examples/blast/splitmapper.sh
___________________________________________________________________
Added: svn:executable
   + *

Added: SwiftApps/Swift-MapRed/mapred_combiner_V4/sites.midway.xml
===================================================================
--- SwiftApps/Swift-MapRed/mapred_combiner_V4/sites.midway.xml	                        (rev 0)
+++ SwiftApps/Swift-MapRed/mapred_combiner_V4/sites.midway.xml	2013-10-28 18:57:07 UTC (rev 7237)
@@ -0,0 +1,20 @@
+<?xml version="1.0" encoding="utf-8"?>
+<config xmlns="http://www.ci.uchicago.edu/swift/SwiftSites">
+  <pool handle="midway">
+    <execution provider="coaster" jobmanager="local:slurm"/>
+    <profile namespace="globus" key="queue">westmere</profile>
+    <!-- <profile namespace="globus" key="queue">sandyb</profile> -->
+    <!-- <profile namespace="globus" key="queue">amd</profile> -->
+    <profile namespace="globus" key="jobsPerNode">8</profile>
+    <profile namespace="globus" key="maxtime">1200</profile>
+    <profile namespace="globus" key="maxWalltime">00:10:00</profile>
+    <profile namespace="globus" key="highOverAllocation">100</profile>
+    <profile namespace="globus" key="lowOverAllocation">100</profile>
+    <profile namespace="globus" key="slots">1</profile>
+    <profile namespace="globus" key="maxNodes">1</profile>
+    <profile namespace="globus" key="nodeGranularity">1</profile>
+    <profile namespace="karajan" key="jobThrottle">.1</profile>
+    <profile namespace="karajan" key="initialScore">10000</profile>
+    <workdirectory>/tmp/maheshwari/swift.work</workdirectory>
+  </pool>
+</config>

Modified: SwiftApps/Swift-MapRed/mapred_combiner_V4/tc.data
===================================================================
--- SwiftApps/Swift-MapRed/mapred_combiner_V4/tc.data	2013-10-28 18:52:24 UTC (rev 7236)
+++ SwiftApps/Swift-MapRed/mapred_combiner_V4/tc.data	2013-10-28 18:57:07 UTC (rev 7237)
@@ -1,6 +1,16 @@
-#beagle bash /bin/bash null null null
-midway bash /bin/bash null null null
-midway mid_bash /bin/bash null null null
-beagle bgl_bash /bin/bash null null null
-local  loc_bash /bin/bash null null null
-local  cat /bin/cat null null null
\ No newline at end of file
+midway bash /bin/bash
+midway mid_bash /bin/bash
+beagle bgl_bash /bin/bash
+local  loc_bash /bin/bash
+local  cat /bin/cat
+midway blastp /home/maheshwari/ncbi-blast-2.2.28+/bin/blastp
+midway fastasplitn /home/maheshwari/parallelblast_2.0.9/fastasplitn
+midway blastmerge /home/maheshwari/parallelblast_2.0.9/blastmerge
+midway blastall /home/maheshwari/blast-2.2.26/bin/blastall
+midway formatdb /home/maheshwari/blast-2.2.26/bin/formatdb
+localhost blastp /home/maheshwari/ncbi-blast-2.2.28+/bin/blastp
+localhost fastasplitn /home/maheshwari/parallelblast_2.0.9/fastasplitn
+localhost blastmerge /home/maheshwari/parallelblast_2.0.9/blastmerge
+localhost blastall /home/maheshwari/blast-2.2.26/bin/blastall
+localhost formatdb /home/maheshwari/blast-2.2.26/bin/formatdb
+




More information about the Swift-commit mailing list